<!DOCTYPE html>
<html data-ng-app="app">
<head>
  @@inc=base/head
  @@inc=base/metatags
</head>
<body class="spielberichtsbogen" ng-controller="mainController">
@@inc=base/googleanalytics

<div ng-controller="step2Controller">
  @@inc=navbar/navbar_head

  <section class="container">
    <div id="content">

      <form class="ng-cloak" action="#" id="teams" name="teams"
            novalidate>

        <section class="section-form">
          <div></div>
          <h2>{{scoresheet.team_home.name}}</h2>
        </section>

        <div class="section-form" ng-repeat="player in scoresheet.team_home.player">
          <label for="">{{$index + 1}}. Spieler</label>
          <input type="text" ng-required="$index < $scope.AMOUNT_MIN_PLAYER" class="input-form"
                 ng-model="player.name" name="player">
        </div>

        <div class="section-form">
          <div></div>
          <div class="btn-addplayer" ng-click="addPlayer('home')" data-icon="user-plus">
            Spieler hinzufügen
          </div>
        </div>


        <section class="section-form">
          <div></div>
          <h2>{{scoresheet.team_guest.name}}</h2>
        </section>

        <div class="section-form" ng-repeat="player in scoresheet.team_guest.player">
          <label for="">{{$index + 1}}. Spieler</label>
          <input type="text" ng-required="$index < $scope.AMOUNT_MIN_PLAYER" class="input-form"
                 ng-model="player.name" name="player">

        </div>

        <div class="section-form">
          <div></div>
          <div class="btn-addplayer" ng-click="addPlayer('guest')" data-icon="user-plus">
            Spieler hinzufügen
          </div>
        </div>

        <hr/>

        <div class="section-form">
          <div></div>
          <div data-grid="2">
            <div>
              <a type="button" class="btn-default" data-icon="pencil"
                 ng-click="submitDrawingForm('custom', teams.$valid)">
                Begegnungen selbst losen
                <small><em>Trage deine Zettellosung selbst ein.</em></small>
              </a>
            </div>

            <div>
              <a type="button" class="btn-kkl" data-icon="dice"
                 ng-hide="scoresheet.matches.length"
                 ng-click="submitDrawingForm('auto', teams.$valid)">
                Begegnungen losen
                <small><em>Lass den Computer für dich losen.</em></small>
              </a>

              <a type="button" class="btn-default" data-icon="refresh"
                 ng-show="scoresheet.matches.length"
                 ng-click="submitDrawingForm('auto', teams.$valid)">
                Losung wiederholen
              </a>
            </div>
          </div>
        </div>

      </form>

      <section class="ng-cloak" ng-show="scoresheet.drawingType === 'auto'">
        @@inc=drawing_auto
      </section>

      <section class="ng-cloak" ng-submit="sendCustomForm($event, customForm.$valid)"
               ng-show="scoresheet.drawingType === 'custom'">
        @@inc=drawing_custom
      </section>

    </div>
  </section>

  <section class="last"></section>
</div>

@@inc=base/footer
@@inc=base/scripts
</body>
</html>